Subject: bug#17346: 24.4.50; Why is the goal column limited to C-n and C-p ?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Jun 2022 21:37:10 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> It looks like this would be pretty easy to implement, but it would be a
> behavioural change -- and the goal column is explicitly documented to
> work on C-n/C-p commands, and not the other commands.
>
> On the other hand, I think anybody's who has done a `C-x C-n' would want
> <prior> and <next> to also respect the goal column, really.  So I think
> I'd be in favour of just changing the behaviour here.
>
> Does anybody else have an opinion?

I've now made this change in Emacs 29, and I have not added a new user
option to tweak the behaviour.  If there's a huge backlash, we can add
one, but it seems rather unlikely to me because of the reason above.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no